#!/bin/bash

. install.inc
. drive.inc

drive="$1"

if [ ! -b "$drive" ]; then
    echo "Usage install.sh /dev/wherever"
    exit 1
fi

setup_drive "$drive"
install_syslinux "$drive"
get_streams
get_latest_maas_id
download_version "$release_version" "$drive"
update_syslinux_menu "$drive"
cleanup_temp
